SELECT VPQ.ID_EVENTO AS ID_EVENTO,
       VPQ.COD_VOCE_INCASSO AS VOCE_INCASSO,
       (CASE VPQ.SEPRAG WHEN '1700000' THEN L.COD_SEPRAG ELSE VPQ.SEPRAG END ) AS SEPRAG,
       VPQ.REVERSALE AS NUMERO_REVERSALE,
       VPQ.IMPORTO AS IMPORTO_DEM,
       TO_CHAR(VPQ.DATA,'YYYYMM') AS CONTABILITA,
       case  when VPQ.ID_TIPO_MODELLO = 1 then '501'
       WHEN VPQ.ID_TIPO_MODELLO = 17 OR VPQ.ID_TIPO_MODELLO = 7 THEN '221'
       Else '501' END as TIPO_DOCUMENTO_CONTABILE,
       (SELECT Q.NUM_FATTURA FROM QUIETANZA Q WHERE Q.ID_QUIETANZA = VPQ.ID_QUIETANZA) AS NUMERO_FATTURA,
       L.DENOMINAZIONE AS DENOMINAZIONE_LOCALE,
       S.CODICE_BA AS CODICE_BA_LOCALE,
       CS.CODICE AS CODICE_SPEI_LOCALE,
       EV.DATA_INIZIO AS DATA_INIZIO_EVENTO,
       EV.ORA_INIZIO AS ORA_INIZIO_EVENTO,
       NVL(GPE.ATTESI,0) AS NUMERO_PM_ATTESI,
       CASE WHEN GPE.COD_VOCE_INCASSO='2244' THEN (NVL(GPE.ATTESI,0) - NVL(GPE.GRUPPOPRINCIPALE,0)) ELSE 0 END AS NUMERO_PM_ATTESI_SPALLA,
       VPQ.COD_RAGGRUPPAMENTO AS CODICE_RAGGRUPPAMENTO,
       SED.DESCRIZIONE AS SEDE,
       CIR.DENOMINAZIONE AS AGENZIA,
       P.PROGRESSIVO_PROTOC AS PERMESSO,
       VPQ.DATA AS DATA_REVERSALE,
       EV.DATA_BONIFICA as DATA_BONIFICA
FROM SPEI_ADMIN.VIEW_PMO_DISTRIBUZIONE VPQ
  JOIN EVENTO EV ON EV.ID_EVENTO = VPQ.ID_EVENTO
  LEFT JOIN PERMESSO_EVENTO PE ON EV.ID_EVENTO = PE.ID_EVENTO
  LEFT JOIN PERMESSO P ON PE.ID_PERMESSO = P.ID_PERMESSO
  JOIN CLASSE_EVENTO CE ON EV.ID_EVENTO = CE.ID_CLASSE_EVENTO
  JOIN SPAZIO S ON S.ID_SPAZIO = CE.ID_SPAZIO
  JOIN LOCALE L ON S.ID_LOCALE = L.ID_LOCALE
  JOIN CODICE_SPEI CS ON CS.ID_SPAZIO = S.ID_SPAZIO
  LEFT JOIN GPM_EVENTO GPE ON GPE.ID_EVENTO = EV.ID_EVENTO AND GPE.COD_VOCE_INCASSO = VPQ.COD_VOCE_INCASSO
  LEFT JOIN SEDE SED ON SED.COD_SEDE = SUBSTR(VPQ.SEPRAG,1,2) AND VPQ.SEPRAG <> '1700000'
  LEFT JOIN CIRCOSCRIZIONE CIR ON CIR.COD_SEPRAG =  VPQ.SEPRAG AND VPQ.SEPRAG <> '1700000'
  LEFT JOIN SEDE SED ON SED.COD_SEDE = SUBSTR(L.COD_SEPRAG,1,2) AND VPQ.SEPRAG = '1700000'
  LEFT JOIN CIRCOSCRIZIONE CIR ON CIR.COD_SEPRAG =  L.COD_SEPRAG AND VPQ.SEPRAG = '1700000'
where SEPRAG=CS.COD_SEPRAG
      AND
      (EV.DATA_BONIFICA > TO_DATE('{year}-{month}-{day}','YYYY-MM-DD')
       or PE.DATA_BONIFICA > TO_DATE('{year}-{month}-{day}','YYYY-MM-DD')
       or P.DATA_BONIFICA > TO_DATE('{year}-{month}-{day}','YYYY-MM-DD')
      )
      AND TRUNC(VPQ.DATA,'MONTH')=TO_DATE('{year}-{month}','YYYY-MM')
